### partial_as_tuple

A function object type that adapts a completion token to specify that the completion handler arguments should be combined into a single tuple argument.

    struct partial_as_tuple

##### Member Functions

Name | Description
--- | ---
operator() | Adapt a completion token to specify that the completion handler arguments should be combined into a single tuple argument.
partial_as_tuple [constructor] | Default constructor.

May also be used directly as a completion token, in which case it adapts the asynchronous operation's default completion token (or `deferred` if no default is available).

##### Requirements

Header: `asio/as_tuple.hpp`

Convenience header: `asio.hpp`